# $Revision: 1.20 $, $Date: 2010/09/19 05:39:00 $
%define		realname	SDL_image
Summary:	Simple DirectMedia Layer - Sample Image Loading Library - MinGW32 cross version
Summary(pl.UTF-8):	Przykładowa biblioteka do ładowania obrazków - wersja skrośna dla MinGW32
Name:		crossmingw32-%{realname}
Version:	1.2.10
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.libsdl.org/projects/SDL_image/release/%{realname}-%{version}.tar.gz
# Source0-md5:	6c06584b31559e2b59f2b982d0d1f628
URL:		http://www.libsdl.org/projects/SDL_image/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	crossmingw32-SDL >= 1.2.10
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-libjpeg >= 7
BuildRequires:	crossmingw32-libpng >= 1.2.0
BuildRequires:	crossmingw32-w32api
BuildRequires:	libtool >= 2:2.0
BuildRequires:	pkgconfig >= 1:0.9.0
Requires:	crossmingw32-SDL >= 1.2.10
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform		i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*

%description
This is a simple library to load images of various formats as SDL
surfaces. This library currently supports BMP, PPM, PCX, GIF, JPEG,
and PNG formats.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Jest to prosta biblioteka służąca do ładowania różnego formatu
obrazków jako powierzchni SDL. W chwili obecnej biblioteka obsługuje
następujące formaty: BMP, PPM, PCX, GIF, JPEG oraz PNG.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static SDL_image library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka SDL_image (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static SDL_image library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka SDL_image (wersja skrośna MinGW32).

%package dll
Summary:	SDL_image - DLL library for Windows
Summary(pl.UTF-8):	SDL_image - biblioteka DLL dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-SDL-dll >= 1.2.10
Requires:	wine

%description dll
SDL_image - DLL library for Windows.

%description dll -l pl.UTF-8
SDL_image - biblioteka DLL dla Windows.

%prep
%setup -q -n %{realname}-%{version}

%build
export PKG_CONFIG_LIBDIR=%{_prefix}/lib/pkgconfig
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
# no sdl test, because it requires configured wine to work
%configure \
	--host=%{target} \
	--target=%{target} \
	--with-sdl-prefix=%{_prefix} \
	--disable-sdltest

# LIBS hack for libtool not detecting libraries without .la files
%{__make} \
	LIBS="$(%{_bindir}/sdl-config --libs | sed -e 's/\(-lmingw32\|-lSDLmain\)/-Wl,\1/g')"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{_libdir}/libSDL_image.dll.a
%{_libdir}/libSDL_image.la
%{_includedir}/SDL/SDL_image.h
%{_pkgconfigdir}/SDL_image.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libSDL_image.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libSDL_image-*.dll

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-SDL_image.spec,v $
Revision 1.20  2010/09/19 05:39:00  qboosh
- unified MinGW32 caps

Revision 1.19  2010/09/07 18:41:10  qboosh
- updated to 1.2.10

Revision 1.18  2008/07/27 22:22:42  arekm
- release 2

Revision 1.17  2008-01-14 19:28:19  qboosh
- force %{_lib}-independent libdir

Revision 1.16  2007/08/13 17:29:50  qboosh
- updated md5

Revision 1.15  2007/08/13 17:27:39  qboosh
- updated to 1.2.6

Revision 1.14  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.12  2006/05/20 00:08:38  qboosh
- rm moved to prep

Revision 1.11  2006/05/19 23:08:29  qboosh
- updated to 1.2.5

Revision 1.10  2006/04/17 00:41:22  qboosh
- files fix

Revision 1.9  2005/01/16 21:10:05  qboosh
- updated to 1.2.4

Revision 1.8  2005/01/15 23:26:17  qboosh
- R: crossmingw32-SDL

Revision 1.7  2004/10/09 11:04:07  wolf
- rel++
- R: crossmingw32-runtime

Revision 1.6  2004/09/16 12:03:19  wolf
- rel 3 to rebuild with gcc 3.4.2

Revision 1.5  2004/08/30 18:07:24  snurf
- typo / formatting / etc.

Revision 1.4  2004/02/21 19:09:26  wolf
- fuck libtool

Revision 1.3  2004/02/21 18:44:33  wolf
- fix alpha, sparc

Revision 1.2  2004/01/04 16:44:50  wolf
- don't require wine for building

Revision 1.1  2003/12/25 16:04:20  wolf
- blah
